Package org.eclipse.ecf.filetransfer.identity

# Interface IFileIDFactory

All Known Implementing Classes:
  `FileIDFactory`

public interface IFileIDFactory

Since:
  5.0

## Method Summary

Modifier and Type
Method
Description
`IFileID`
`createFileID(Namespace namespace, Object[] arguments)`
Create an IFileID from a Namespace and a String.
`IFileID`
`createFileID(Namespace namespace, String remoteFile)`
Create an IFileID from a Namespace and a String.
`IFileID`
`createFileID(Namespace namespace, URI remoteFile)`
Create an IFileID from a Namespace and a String.
`IFileID`
`createFileID(Namespace namespace, URL remoteFile)`
Create an IFileID from a Namespace and a String.

## Method Details

### createFileID

IFileID createFileID(Namespace namespace, URL remoteFile) throws FileCreateException
Create an IFileID from a Namespace and a String.

Parameters:
  `namespace` - the namespace to use to create the IFileID. Can use `IRetrieveFileTransferContainerAdapter.getRetrieveNamespace()`. Must not be `null`.
  `remoteFile` - the remote filename to use. Must not be `null`.
Returns:
  IFileID instance. Will not return `null`.
Throws:
  `FileCreateException` - thrown if some problem creating IFileID from given namespace and filename

### createFileID

IFileID createFileID(Namespace namespace, String remoteFile) throws FileCreateException
Create an IFileID from a Namespace and a String.

Parameters:
  `namespace` - the namespace to use to create the IFileID. Can use `IRetrieveFileTransferContainerAdapter.getRetrieveNamespace()`. Must not be null.
  `remoteFile` - the remote filename to use. Must not be `null`.
Returns:
  IFileID instance. Will not return `null`.
Throws:
  `FileCreateException` - thrown if some problem creating IFileID from given namespace and filename

### createFileID

IFileID createFileID(Namespace namespace, URI remoteFile) throws FileCreateException
Create an IFileID from a Namespace and a String.

Parameters:
  `namespace` - the namespace to use to create the IFileID. Can use `IRetrieveFileTransferContainerAdapter.getRetrieveNamespace()`. Must not be null.
  `remoteFile` - the remote resource identifier to use. Must not be `null`.
Returns:
  IFileID instance. Will not return `null`.
Throws:
  `FileCreateException` - thrown if some problem creating IFileID from given namespace and filename
Since:
  5.0

### createFileID

IFileID createFileID(Namespace namespace, Object[] arguments) throws FileCreateException
Create an IFileID from a Namespace and a String.

Parameters:
  `namespace` - the namespace to use to create the IFileID. Can use `IRetrieveFileTransferContainerAdapter.getRetrieveNamespace()`. Must not be `null`.
  `arguments` - Object [] of arguments to use to create file ID. These arguments will be passed to the `Namespace.createInstance(Object[])` method of the appropriate Namespace setup by the provider
Returns:
  IFileID instance. Will not return `null`.
Throws:
  `FileCreateException` - thrown if some problem creating IFileID from given namespace and filename